local codecompanion = require("codecompanion")

vim.g.codecompanion_auto_tool_mode = true

codecompanion.setup({
  strategies = {
    chat = {
      adapter = "copilot",
      tools = {
        opts = {
          auto_submit_errors = true,
          auto_submit_success = true,
          requires_approval = false,
        }
      }
    },
    inline = {
      adapter = "copilot",
    },
    cmd = {
      adapter = "copilot",
    },
  },
  adapters = {
    copilot = function()
      return require("codecompanion.adapters").extend("copilot", {
        schema = {
          model = {
            default = "claude-sonnet-4",
          },
        },
      })
    end,
  }
})
